LocalTimeValueType (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.types, class: LocalTimeValueType

# Class LocalTimeValueType

java.lang.Object
org.apache.cayenne.access.types.LocalTimeValueType

All Implemented Interfaces:
  `ValueObjectType<LocalTime, Time>`

public class LocalTimeValueType extends Object implements ValueObjectType<LocalTime, Time>

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalTimeValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Time`
  `fromJavaObject(LocalTime object)`
  `Class<Time>`
  `getTargetType()`
  `Class<LocalTime>`
  `getValueType()`
  `String`
  `toCacheKey(LocalTime object)`
  Returned value should be same for objects that is logically equal.
  `LocalTime`
  `toJavaObject(Time value)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ValueObjectType

  `equals`
  Modifier and Type
  Method
  Description
  `default boolean`
  `equals(LocalTime value1, LocalTime value2)`
  Allows to use special logic to compare values for equality as in rare cases it is not suffice to use default equals() method.

- ## Constructor Details

  - ### LocalTimeValueType

    public LocalTimeValueType()

- ## Method Details

  - ### getTargetType

    public Class<Time> getTargetType()
    Specified by:
      `getTargetType` in interface `ValueObjectType<LocalTime, Time>`
    Returns:
      base type used to serialize V objects to.

  - ### getValueType

    public Class<LocalTime> getValueType()
    Specified by:
      `getValueType` in interface `ValueObjectType<LocalTime, Time>`
    Returns:
      type of Objects described by this ValueObjectType.

  - ### toJavaObject

    public LocalTime toJavaObject(Time value)
    Specified by:
      `toJavaObject` in interface `ValueObjectType<LocalTime, Time>`
    Parameters:
      `value` - of type T
    Returns:
      java object

  - ### fromJavaObject

    public Time fromJavaObject(LocalTime object)
    Specified by:
      `fromJavaObject` in interface `ValueObjectType<LocalTime, Time>`
    Parameters:
      `object` - java object
    Returns:
      value of type T

  - ### toCacheKey

    public String toCacheKey(LocalTime object)
    Description copied from interface: `ValueObjectType`
    Returned value should be same for objects that is logically equal.
    Specified by:
      `toCacheKey` in interface `ValueObjectType<LocalTime, Time>`
    Returns:
      String representation usable for cache.